Skip to main content
GET
Get credential details

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the credential

Response

Success response

The underlying payment-method type of this stored credential.

type
string
required

The type of the credential

Example:

"card"

id
string<uuid>
required

The ID of the credential on file

Example:

"9a3e5c7f-1b8d-4f2a-b6e4-8c1d7f3a9e5b"

created_at
string<date-time>
required

The date-time the credential was created (following ISO 8601)

Example:

"2025-11-20T15:30:00Z"

cardholder_name
string
required

The name of the owner of the card

Example:

"Jane Holder"

expiry_month
integer
required

The number of month in a year (e.g. April is 4)

Example:

4

expiry_year
integer
required

The year given as four digit number (e.g. 2023)

Example:

2028

masked_account_number
string
required

The full lenght of the card number, but masked to conform to PCI DSS requirments

Example:

"411111******1111"

issuer
object